> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cyrisma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List tenants



## OpenAPI

````yaml /api/partner-api/provisioning.json get /v1/msp/admin/tenants
openapi: 3.1.1
info:
  title: 'Cyrisma New Partner API: Provisioning'
  version: v1
servers:
  - url: https://{instance}.cyrisma.com/ta
    description: Tenant Authority, served under the partner's own CYRISMA instance host.
    variables:
      instance:
        default: ccnnnnnn
        description: The instance label of the tenant host issued to the partner.
security:
  - bearerAuth: []
tags:
  - name: Auth
  - name: MSP Administration
paths:
  /v1/msp/admin/tenants:
    get:
      tags:
        - MSP Administration
      summary: List tenants
      operationId: ListMspAdminTenantsV1
      parameters:
        - name: root_tenant_id
          in: query
          schema:
            type: string
            format: uuid
        - name: search
          in: query
          schema:
            type: string
        - name: kind
          in: query
          schema:
            type: string
        - name: status
          in: query
          schema:
            type: string
        - name: page
          in: query
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int32
        - name: page_size
          in: query
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int32
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MspAdminTenantPageResponse'
        '400':
          description: Bad Request
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/HttpValidationProblemDetails'
        '401':
          description: Unauthorized
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: Forbidden
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    MspAdminTenantPageResponse:
      required:
        - items
        - page
        - page_size
        - total_count
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/MspAdminTenantListItem'
        page:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        page_size:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        total_count:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
    HttpValidationProblemDetails:
      type: object
      properties:
        type:
          type:
            - 'null'
            - string
        title:
          type:
            - 'null'
            - string
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        detail:
          type:
            - 'null'
            - string
        instance:
          type:
            - 'null'
            - string
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
    ProblemDetails:
      type: object
      properties:
        type:
          type:
            - 'null'
            - string
        title:
          type:
            - 'null'
            - string
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        detail:
          type:
            - 'null'
            - string
        instance:
          type:
            - 'null'
            - string
    MspAdminTenantListItem:
      required:
        - tenant_id
        - tenant_host
        - name
        - short_name
        - kind
        - status
        - parent_tenant_id
        - industry_id
        - industry_name
        - tenant_kind_id
        - tenant_kind_name
        - assigned_technician_user_id
        - assigned_technician_name
        - assigned_technician_email
        - provisioning_status
      type: object
      properties:
        tenant_id:
          type: string
          format: uuid
        tenant_host:
          type: string
        name:
          type: string
        short_name:
          type:
            - 'null'
            - string
        kind:
          type: string
        status:
          type: string
        parent_tenant_id:
          type:
            - 'null'
            - string
          format: uuid
        industry_id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        industry_name:
          type:
            - 'null'
            - string
        tenant_kind_id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        tenant_kind_name:
          type:
            - 'null'
            - string
        assigned_technician_user_id:
          type:
            - 'null'
            - string
          format: uuid
        assigned_technician_name:
          type:
            - 'null'
            - string
        assigned_technician_email:
          type:
            - 'null'
            - string
        provisioning_status:
          type:
            - 'null'
            - string
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        A machine-client token from POST /v1/auth/client-token. Provisioning and
        user management need the pulse.write scope; reads need pulse.read.
      scheme: bearer
      bearerFormat: JWT

````